import 'package:flutter_tracker/model/base_model.dart';
import 'package:flutter_tracker/model/message_model.dart';

/// Description:
/// Time       : 2021年12月03日 Friday
/// Author     : liuyuqi.gov@msncn
class LoginEntity extends BaseModel {
  String token = "";
  MessageModel msgModel = MessageModel(msg: "网络异常", success: false);

  LoginEntity({required this.token, required this.msgModel});

  LoginEntity.fromJson(Map<String, dynamic> json) {
    msgModel = MessageModel.fromJson(json);
    if (msgModel.success) {
      token = json["data"]["token"];
    }
  }
}