/// Description:
/// Time       : 2021年12月03日 Friday
/// Author     : liuyuqi.gov@msncn
class MessageModel<T> {
  String msg = "";
  bool success = false;
  T? data;

  MessageModel({this.msg = "", this.success = false, this.data});

  MessageModel.fromJson(Map<String, dynamic> json) {
    msg = json["msg"];
    success = json["success"];
    data = json["data"];
  }
}
