import 'package:flutter_tracker/utils/time_util.dart';

/// Description:
/// Time       : 2021年12月03日 Friday
/// Author     : liuyuqi.gov@msncn
class SubmitModel {
  int userid = 0;
  DateTime time = DateTime(0);
  String address = "";
  String telphone = "";
  int health = 0;
  String pic = "";

  SubmitModel(
      {required this.userid,
      required this.time,
      required this.address,
      required this.telphone,
      required this.health,
      required this.pic});

  SubmitModel.fromJson(Map<String, dynamic> json) {
    userid = int.parse(json['userid']);
    time = TimeUtil.getDateTime(json['time']);
    address = json['address'];
    telphone = json['telphone'];
    health = json['health'];
  }
}
