import 'package:flutter_tracker/model/user_model.dart';

/// Description:
/// Time       : 2021年12月03日 Friday
/// Author     : liuyuqi.gov@msncn
abstract class Api {
  static const String _host = "http://flutter.yoqi.me/Track";
  static String loginUrl = _host + "/loginByPass";
  static String logoutUrl = _host + "/logout";
  static String registerUrl = _host + "/register";
  static String getUserInfoUrl = _host + "/getUserInfo";
  static String getUserByDeviceId = _host + "'getUserByDeviceId";
  static String uploadImgUrl = _host + "/uploadImg";
  static String uploadTrackUrl = _host + "/uploadTrack";

  Future<UserModel> login(String username, String password);
}
