import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:fluttertoast/fluttertoast.dart';

/// Description:
/// Time       : 2021年12月03日 Friday
/// Author     : liuyuqi.gov@msncn
class AppUtil {
  static double height(double value) {
    return ScreenUtil().setHeight(value);
  }

  static double width(double value) {
    return ScreenUtil().setWidth(value);
  }

  static double sp(double value) {
    return ScreenUtil().setSp(value);
  }

  // 居中简单弹信息框
  static void buildToast(String str) {
    Fluttertoast.showToast(
        fontSize: 25, gravity: ToastGravity.CENTER, msg: str);
  }
}
